begin;
create table if not exists appearancespost (
	"yearID"	numeric,
	"playerID"	text,
	"teamID"	text,
	primary key("yearID","playerID")
);

insert into appearancespost
select distinct yearID, playerID, teamID
from battingpost
union
select distinct yearID, playerID, teamID
from pitchingpost
union
select distinct yearID, playerID, teamID
from fieldingpost;

alter table "battingpost" drop column "teamID";
alter table "battingpost" drop column "lgID";

alter table "pitchingpost" drop column "teamID";
alter table "pitchingpost" drop column "lgID";

alter table fieldingpost drop column "teamID";
alter table fieldingpost drop column "lgID";
commit;
